Loading...
Searching...
No Matches
gsm29205.c File Reference
3GPP TS 29.205

Functions related to 3GPP TS 29.205, primarily message generation/encoding. More...

`#include "config.h"`
`#include <osmocom/gsm/protocol/gsm_08_08.h>`
`#include <osmocom/gsm/gsm29205.h>`
`#include <osmocom/gsm/gsm0808.h>`
`#include <osmocom/core/utils.h>`
`#include <osmocom/core/msgb.h>`
`#include <osmocom/gsm/tlv.h>`
`#include <errno.h>`

## Functions

uint8_t | osmo_enc_gcr (struct msgb *msg, const struct osmo_gcr_parsed *g)
| Create Global Call Reference.
int | osmo_dec_gcr (struct osmo_gcr_parsed *gcr, const uint8_t *elem, uint8_t len)
| Decode Global Call Reference, 3GPP TS 29.205 Table B 2.1.9.1.
bool | osmo_gcr_eq (const struct osmo_gcr_parsed *gcr1, const struct osmo_gcr_parsed *gcr2)
| Compare two GCR structs.

## Detailed Description

Functions related to 3GPP TS 29.205, primarily message generation/encoding.